﻿using System;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VezZLega
{
    public struct Block
    {
        private int width;
        private int height;
        private Color color;

        public int Width
        {
            get { return width; }
            set { width = value; }
        }

        public int Height
        {
            get { return height; }
            set { height = value; }
        }

        public Color Color
        {
            get { return color; }
            set { color = value; }
        }

        public Block(int width, int height, Color color)
        {
            this.width = width;
            this.height = height;
            this.color = color;
        }

        public static Color ParseColor(string color)
        {
            switch (color)
            {
                case "A":
                    return Color.Aqua;
                case "R":
                    return Color.Red;
                case "G":
                    return Color.Green;
                case "B":
                    return Color.Blue;
                case "Y":
                    return Color.Yellow;
                default:
                    return Color.Black;
            }
        }

        public override string ToString()
        {
            return color.Name[0] + " " + width + "X" + height;
        }
    }
}
